
🔵:create:100:
  stage: 🟣🟡🟠🔵🟢revisions
  image: registry.gitlab.com/tanuki-workshops/kube-demos/images-tools/kube
  rules:
    - if: $CI_COMMIT_BRANCH == "master"
      when: manual
  allow_failure: true
  environment:
    name: production/blue-${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG}
    url: http://tag-blue-${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG}.${KNATIVE_NAMESPACE}.${KNATIVE_INGRESS_BASE_DOMAIN}
  script:
    - cluster_config
    - knative_create_revision ${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG} blue

🟢:create:0:
  stage: 🟣🟡🟠🔵🟢revisions
  image: registry.gitlab.com/tanuki-workshops/kube-demos/images-tools/kube
  rules:
    - if: $CI_COMMIT_BRANCH == "master"
      when: manual
  allow_failure: true
  environment:
    name: production/green-${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG}
    url: http://tag-green-${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG}.${KNATIVE_NAMESPACE}.${KNATIVE_INGRESS_BASE_DOMAIN}
  script:
    - cluster_config
    - knative_green_revision_with_no_traffic_only_if_blue_exists ${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG}
